Status: Resolved Priority: Should have
Author: Thomas Hempel Category:
Created: 2013-11-03 Assigned To:
Updated: 2013-11-05 Due date:
PHP Version:
Subject: When creating a new Site package, one can't add any content to the "Home" site
Description

As written in the subject. When creating a new site during the setup Neos 1.0 alpha7, the page is created successfully but you can't
add any content to the site. All buttons are grayed out.

There is a fix by creating an entirely new page. So, something seems to be broken.

You can see in the attached screenshots.

Greets,
Thomas

Associated revisions
Revision ee774dd8 - 2013-11-03 16:51 - Tim Kandel

[BUGFIX] Fixes creation of content on generated default page

This adds a empty ContentCollection to the provided "Home" page in
Sites.xml.

Change-Id: I9cfb977c004390605d4845f71b960448400a98e1
Fixes: #53290

History
#1 - 2013-11-03 16:28 - Marcin Sągol

I thought that there is something wrong with my template but i can confirm this issue. I have kickstarted new site package from cli and can't add any
content.

#2 - 2013-11-03 16:50 - Tim Kandel

I can reproduce this and will push a patch for this soon

#3 - 2013-11-03 16:55 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.SiteKickstarter has been pushed to the review server.
It is available at https://review.typo3.org/25145
#4 - 2013-11-05 13:36 - Tim Kandel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ee774dd8875cde5ed0c225fdf5498271cf54192b.
